## vacuum-map-parser-base 0.1.3

=== .github/workflows/requirements.txt ===
pip==23.2.1
poetry==1.5.1

=== debian/changelog ===
vacuum-map-parser-base (0.1.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 04 Feb 2025 16:12:24 +0000

vacuum-map-parser-base (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1093959)

 -- Edward Betts <edward@4angle.com>  Fri, 24 Jan 2025 09:43:56 +0000

=== debian/control ===
Source: vacuum-map-parser-base
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/PiotrMachowski/Python-package-vacuum-map-parser-base
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-base
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-base.git

Package: python3-vacuum-map-parser-base
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Common codebase for creating vacuum map parsers
 This library provides a set of foundational classes to be extended by specific
 vacuum map parsers. It supports the parsing of maps for various vacuum cleaner
 models by offering a structure that can be customized to accommodate different
 parsing needs. By defining the basic framework, the library ensures consistent
 implementation across different vacuum-specific map parsers. Users can build
 upon these base classes to create parsers tailored for specific brands or
 types of vacuums, such as Roborock, Viomi, Roidmi, and Dreame, enabling
 effective communication and data processing from the devices.

## vacuum-map-parser-base 0.1.5

=== debian/changelog ===
vacuum-map-parser-base (0.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 16 May 2025 12:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-poetry-core,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/PiotrMachowski/Python-package-vacuum-map-parser-base
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-base
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-base.git

=== debian/watch ===
version=4
https://github.com/PiotrMachowski/Python-package-vacuum-map-parser-base/tags .*/v?(\d\S+)\.tar\.gz
